Burn Tokens

Burn tokens from a wallet address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Process Overview

  1. Create a Multi-Signature Proposal:(Skip this step if you have already created Proposal for Redeem Transaction)
    Create Multi Sig Proposal

    • First, call the Create Multi-Signature Proposal API to generate a proposal record.
    • Set the type as "Burn" and provide the following details:
      • id (the multi sig contract id which is the owner of the token)
      • data (the multi sig contract address)
      • amount (the number of tokens to burn)
      • assetContractId (the contract ID of the asset to be minted)
  2. Use the Proposal Reference:

    • Save the _id from the created proposal record.
    • Pass this _id as referenceId when calling the Burn Tokens API to send the request.
  3. Sign and Send the Transaction:

    • Use the transaction data rawTransaction from the Burn API response.
    • Sign the transaction using your private keys or wallet.
    • Broadcast the signed transaction to the network for execution.
Body Params
number
required

ID of the blockchain network

string
required

Address to redeem tokens from

number
required

Amount of tokens to redeem

string
required

Address of the Token contract

string
required

Address of the Multisig contract

string
required

ID of the Proposal Created in the DB

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json